import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: DeviceTypes.Info) {
        return request('/api/devicesinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: DeviceTypes.Info) {
        return request(`/api/devicesinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: DeviceTypes.Info) {
        return request('/api/devicesinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/devicesinfo/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/devicesinfo/list', {
            method: 'POST'
        });
    },
    /**
    * 未绑定的设备列表
    * @param parms 
    * @returns 
    */
    UnBindList() {
        return request('/api/devicesinfo/UnBindList', {
            method: 'GET'
        });

    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: DeviceTypes.Info) {
        return request('/api/devicesinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 批量更新
     * @param parms 
     * @returns 
     */
    BatchUpdate(parms: DeviceTypes.BatchAdd) {
        return request('/api/devicerecipe/batchupdate', {
            method: 'POST',
            data: parms
        });
    },
     /**
     * 根据设备Id查询配方信息
     * @param parms 
     * @returns 
     */
    RecipeList(id: string){
        return request(' api/devicerecipe/list', {
            method: 'POST',
            data: {
                deviceId: id
            }
        });
    }
}